<?php
class mainComponents extends sfComponents
{
    public function executeMainMenu(sfWebRequest $request)
    {
        $main_menu_q = Doctrine_Query::create()
            ->select("mm.id, mm.title, mm.link")
            ->from("MainMenu mm")
            ->where("mm.is_activated = '1'")
            ->orderBy("mm.order_id")
            ->fetchArray();

        $this->main_menu = $main_menu_q;
    }
}
